// Pre-flight strings for the task displayed in a sheet in
// task editor.
kPreFlightTaskOffline = "All target computers are currently offline.";
kPreFlightTaskOneOffline = "“%@” is currently offline.";
kPreFlightTaskMultiOffline = "%@ target computers are currently offline.";

kPreFlightTaskOfflineUseTaskServer = "All target computers are currently offline.  You can run this task from your task server to perform the command as computers become available.";
kPreFlightTaskOneOfflineUseTaskServer = "“%@” is currently offline.  You can run this task from your task server to perform the command when “%@” becomes available.";
kPreFlightTaskMultiOfflineUseTaskServer = "%@ target computers are currently offline.  You can run this task from your task server to perform the command as computers become available.";

kPreFlightTaskUnavailable = "All target computers are currently unavailable.";
kPreFlightTaskOneUnavailable = "“%@” is currently unavailable.";
kPreFlightTaskMultiUnavailable = "%@ target computers are currently unavailable.";

kPreFlightTaskBusy = "All target computers are currently busy with another task.";
kPreFlightTaskOneBusy = "“%@” is currently busy with another task.";
kPreFlightTaskMultiBusy = "%@ target computers are currently busy with another task.";

kPreFlightTaskShareScreen = "All target computers are currently in an active share screen session.";
kPreFlightTaskOneShareScreen = "“%@” is currently in an active share screen session.";
kPreFlightTaskMultiShareScreen = "%@ target computers are currently in an active share screen session.";

kPreFlightTaskARDNotActive = "The Remote Desktop Client software is not active on any of the target computers.";
kPreFlightTaskOneARDNotActive = "The Remote Desktop Client software is not active on “%@”.";
kPreFlightTaskMultiARDNotActive = "The Remote Desktop Client software is not active on %@ target computers.";

kPreFlightTaskAccessDenied = "Access is currently denied on all target computers.";
kPreFlightTaskOneAccessDenied = "Access is currently denied on “%@”.";
kPreFlightTaskMultiAccessDenied = "Access is currently denied on %@ target computers.";

kPreFlightTaskNotAuthorized = "This task is not authorized on any of the target computers.";
kPreFlightTaskOneNotAuthorized = "This task is not authorized on “%@”.";
kPreFlightTaskMultiNotAuthorized = "This task is not authorized on %@ target computers.";

kPreFlightTaskNoCredentials = "A username or password has not been set for any of the target computers.";
kPreFlightTaskOneNoCredentials = "A username or password has not been set for “%@”.";
kPreFlightTaskMultiNoCredentials = "A username or password has not been set for %@ target computers.";

kPreFlightTaskInvalidAddress = "A valid DNS address has not been set for any of the target computers.";
kPreFlightTaskOneInvalidAddress = "A valid DNS address has not been set for “%@”.";
kPreFlightTaskMultiInvalidAddress = "A valid DNS address has not been set for %@ target computers.";

kPreFlightTaskFeatureNotSupport = "This task is not supported on any of the target computers.";
kPreFlightTaskOneFeatureNotSupport = "This task is not supported on “%@”.";
kPreFlightTaskMultiFeatureNotSupport = "This task is not supported on %@ target computers.";
kPreFlightTaskThisComputerFeatureNotSupport = "This task is not supported on this computer.";

kPreFlightTaskScreenLocked = "The screen is locked on all of the target computers.";
kPreFlightTaskOneScreenLocked = "The screen is locked on “%@”.";
kPreFlightTaskMultiScreenLocked = "The screen is locked on %@ target computers.";

kPreFlightTaskOldSoftware = "All target computers have old Remote Desktop Client software.";
kPreFlightTaskOneOldSoftware = "“%@” has old Remote Desktop Client software.";
kPreFlightTaskMultiOldSoftware = "%@ target computers have old Remote Desktop Client software.";

kPreFlightTaskNewSoftware = "All target computers have newer Remote Desktop Client software.";
kPreFlightTaskOneNewSoftware = "“%@” has newer Remote Desktop Client software.";
kPreFlightTaskMultiNewSoftware = "%@ target computers have newer Remote Desktop Client software.";

kPreFlightTaskLatestSoftware = "All target computers have the same or newer Remote Desktop Client software.";
kPreFlightTaskOneLatestSoftware = "“%@” has the same or newer Remote Desktop Client software.";
kPreFlightTaskMultiLatestSoftware = "%@ target computers have the same or newer Remote Desktop Client software.";

kPreFlightTaskOldSoftwareUpgrade = "All target computers have old Remote Desktop Client software.  Would you like to upgrade them?";
kPreFlightTaskOneOldSoftwareUpgrade = "“%@” has old Remote Desktop Client software.  Would you like to upgrade it?";
kPreFlightTaskMultiOldSoftwareUpgrade = "%@ target computers have old Remote Desktop Client software.  Would you like to upgrade them?";

kPreFlightTaskClientUpgradeOldOS = "All target computers are running a Mac OS X version that is older than 10.3.9.";
kPreFlightTaskOneClientUpgradeOldOS = "“%@” is running a Mac OS X version that is older than 10.3.9.";
kPreFlightTaskMultiClientUpgradeOldOS = "%@ are running a Mac OS X version that is older than 10.3.9.";

kPreFlightTaskNoUser = "A console user is not logged in on any of the target computers.";
kPreFlightTaskOneNoUser = "A console user is not logged in on “%@”.";
kPreFlightTaskMultiNoUser = "A console user is not logged in on %@ target computers.";

kPreFlightTaskNoUserSendUNIX = "All target computers are at the Login Window so there is no current user - specify a user and re-run the command.";
kPreFlightTaskOneNoUserSendUNIX = "“%@” is at the Login Window so there is no current user - specify a user and re-run the command.";
kPreFlightTaskMultiNoUserSendUNIX = "%@ of the target computers are at the Login Window so there is no current user - specify a user and re-run the command.";

kPreFlightTaskNoLOM = "None of the target computers support Lights Out Management.";
kPreFlightTaskOneNoLOM = "Lights Out Management is not supported on “%@”.";
kPreFlightTaskMultiNoLOM = "Lights Out Management is not supported on %@ of the target computers.";

kPreFlightTaskLOMAccessDenied = "Access to Lights Out Management is not authorized on any of the target computers.";
kPreFlightTaskOneLOMAccessDenied = "Access to Lights Out Management is not authorized on “%@”.";
kPreFlightTaskMultiLOMAccessDenied = "Access to Lights Out Management is not authorized on %@ of the target computers.";

kPreFlightTaskLOMOffline = "Lights Out Management is not reachable on any of the target computers.";
kPreFlightTaskOneLOMOffline = "Lights Out Management is not reachable on “%@”.";
kPreFlightTaskMultiLOMOffline = "Lights Out Management is not reachable on %@ of the target computers.";

kPreFlightTaskNoLOMCredentials = "A Lights Out Management username or password has not been set for any of the target computers. This can be set with Get Info.";
kPreFlightTaskOneNoLOMCredentials = "A Lights Out Management username or password has not been set for “%@”. This can be set with Get Info.";
kPreFlightTaskMultiNoLOMCredentials = "A Lights Out Management username or password has not been set for %@ target computers. This can be set with Get Info.";



kPreFlightTaskNoComputers = "No computers are targeted for the task.";
kPreFlightTaskTaskServerOffline = "Your task server is not available.";

kPreFlightTaskDialogOneProbZeroClientTitle = "This task will fail.";
kPreFlightTaskDialogMultiProbZeroClientTitle = "This task will fail.";
kPreFlightTaskDialogOneProbOneClientTitle = "This task will fail.";
kPreFlightTaskDialogMultiProbOneClientTitle = "This task will fail.";
kPreFlightTaskDialogOneProbTwoClientTitle = "This task will fail.";
kPreFlightTaskDialogMultiProbTwoClientTitle = "This task will fail.";
kPreFlightTaskDialogOneProbMultiClientTitle = "This task will fail on %@ of %@ target computers.";
kPreFlightTaskDialogMultiProbMultiClientTitle = "This task will fail on %@ of %@ target computers.";
kPreFlightTaskDialogOneProbAllClientTitle = "This task will fail on all %@ target computers.";
kPreFlightTaskDialogMultiProbAllClientTitle = "This task will fail on all %@ target computers.";

// Strings for the computer up-to-date progress sheet
kPreFlightUpToDateProgress = "Completed %@ of %@ computers";

// Pre-flight task state strings for a task displayed in the main window's
// task manager table view or task progress header
kPreFlightTaskStateNotStarted = "Not started";
kPreFlightTaskStateQueued = "Queued";
kPreFlightTaskStatePending = "Pending";

// In-flight task state strings for a task displayed in the main window's
// task manager table view or task progress header
kInFlightTaskStateExecuting = "In progress";
kInFlightTaskStateStopping = "Stopping";
kInFlightTaskStateProcessing = "Processing";

// Post-flight task state strings for a task displayed in the main window's
// task manager table view or task progress header
kPostFlightTaskStateSucceeded = "Succeeded on all";
kPostFlightTaskStateSucceededShort = "Succeeded";
kPostFlightTaskStateFailed = "Failed on all";
kPostFlightTaskStatePartialFailure = "Failed on %@ of %@ computers";
kPostFlightTaskStateStopped = "Stopped";
kPostFlightTaskStateNoComputers = "No computers targeted";
kPostFlightTaskStateDelegationStopped = "Stopped before task was sent to the server";
kPostFlightTaskStateDelegationFailed = "An error occurred while sending the task data to the server";
kPostFlightTaskStateDelegationTaskUnknown = "Stopped because the server does not have an entry for this task";

// In-flight strings for a task displayed in the progress textfield in the progress table
// of a task progress dialog
kInFlightTaskProgressRequesting = "Sending command";

// Pre-flight strings for target computers displayed in the progress table
// of a task progress dialog
kPreFlightClientAccessDenied = "Access denied";
kPreFlightClientNoCredentials = "Username or password not set";
kPreFlightClientUnavailable = "Unavailable";
kPreFlightClientARDNotActive = "Client software not active";
kPreFlightClientShareScreen = "In Share Screen session";
kPreFlightClientBusy = "Busy with other task";
kPreFlightClientOffline = "Offline";
kPreFlightClientNotAuthorized = "Not Authorized";
kPreFlightClientScreenLocked = "Screen is locked";
kPreFlightClientFeatureNotSupport = "Not supported";
kPreFlightClientOldSoftware = "Old client software (%@)";
kPreFlightClientLatestSoftware = "Same client software (%@)";
kPreFlightClientNewSoftware = "Newer client software (%@)";
kPreFlightClientNoUser = "No console user";
kPreFlightClientNoLOM = "Not supported";
kPreFlightClientLOMAccessDenied = "Not Authorized";
kPreFlightClientLOMOffline = "Not reachable";
kPreFlightClientNoLOMCredentials = "Username or password not set";

// In-flight strings for target computers displayed in the progress table
// of a task progress dialog
kInFlightClientWaiting = "Waiting";

// Post-flight strings for target computers displayed in the progress table
// of a task progress dialog
kPostFlightClientFailed = "Failed";
kPostFlightClientComError = "Communication error";
kPostFlightClientStopped = "Stopped";
kPostFlightClientSucceeded = "Succeeded";
kPostFlightClientCanceled = "Canceled by user";
kPostFlightClientTimedOut = "Canceled by timeout";

// Pre-flight strings used in duplicate item check dialog for copy tasks
kPreFlightTaskCheckDupItemsThisComputer = "Checking for duplicate items on this computer";
kPreFlightTaskCheckDupItemsOneClient = "Checking for duplicate items on “%@”";
kPreFlightTaskCheckDupItemsManyClients = "Checking for duplicate items on the target computers";
